package com.sky.mapper;

import com.sky.annotation.AutoFill;
import com.sky.dto.SetmealPageQueryDTO;
import com.sky.entity.Setmeal;
import com.sky.enumeration.OperationType;
import com.sky.vo.SetmealVO;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface SetmealMapper {
    @AutoFill(OperationType.INSERT)
    void insert(Setmeal setmeal);

    List<SetmealVO> queryByCond(SetmealPageQueryDTO setmealPageQueryDTO);
    @Select("select * from setmeal where id=#{id}")
    Setmeal getById(Long id);
    @Delete("delete from setmeal where id=#{id};")
    void deleteById(Long id);
    @AutoFill(OperationType.UPDATE)
    void update(Setmeal setmeal);
}
